package cn.estsh.i3plus.pojo.aps.enums;

/**
 * @Description :预置的工作排序规则
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
public enum WORK_SORT_RULE {
    NONE,
    ORDER_DELIVERY,	// 订单交货期
    ORDER_PRIORITY,	// 订单优先级
    ORDER_ESTSTART,	// 订单最早开始时刻
    ORDER_COUNT,		// 订单数量
    ORDER_RECEIVE_DATE,// 订单接单日期
    ORDER_LET_MINUS_EST,// 订单交货期与订单最早开始时刻之差
    ORDER_PRESSURE,	// 订单紧迫程度
    ORDER_SURPLUS,	// 订单余裕度
    REMAIN_OPERATION_COUNT,// 残留工序数
    REMAIN_PRODUCT,	// 残留生产时间
    MINSTE_PREMAIN,// 最小工序宽裕时间
    WORK_LET,		// 工作最晚结束时刻
    WORK_EST,		// 工作最早开始时刻
    ORDER_STOCK_RELA,	// 订单物品库存量相对值
    ORDER_FIRST_WORK_START,// 订单首工作上次开始时刻
    HAVE_HIGH_WORK,	// 订单中含有高级别工作
    WORK_RESOURCE_COUNT,		// 工作的可用资源数
    WORK_SCHED_APPROX,// 与已排工作近视度
    TOP_ORDER_DELIVERY;// 顶层订单的交货期
}
